Steps to make stylecop 4.5.25 version compatible for VS2005

Aug 24, 2011 at 8:11 AM

Hi,

We installed stylecop version 4.5.25 which is working fine in VS2010.

Could you please let us know of the steps to make it compatible with VS2005?

If this is not feasible, could you please let us know how to make version 4.3 to work with VS2010?

 

Thanks a lot

Coordinator
Aug 24, 2011 at 8:49 AM
Edited Aug 24, 2011 at 9:19 AM
Hi.
Neither of those are easily done. They are very different.
A.
Aug 24, 2011 at 9:35 AM

Thank you for the info. So, could you please name a stylecop version which supports both VS2005 and VS2010?

If no version available, could you please let us know of a version where both the compatibility can be easily configured?

 

Thanks & Regards

Coordinator
Aug 24, 2011 at 9:39 AM

4.3 works with VS2005.

4.4 or greater for VS2010.

No version supports both.

Aug 24, 2011 at 3:59 PM
Thanks Andy!!

Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Wed, 24 Aug 2011 01:39:15 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
4.3 works with VS2005.
4.4 or greater for VS2010.
No version supports both.
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
==================================
From: andyr
Hi.

Neither of those are easily done. They are very different.

A.


Sep 20, 2011 at 12:27 PM
Thanks Andy!!
Is it possible to make version 4.5.25 compaitble with VS2005?
I'll make wrapper project to make it compatible but wanted to get hint which part of the code I can amend.
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Wed, 24 Aug 2011 01:39:15 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
4.3 works with VS2005.
4.4 or greater for VS2010.
No version supports both.
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Coordinator
Sep 20, 2011 at 12:33 PM

The sourcecode is all here on site. If you added vs2005 support I would gladly add it to the solution for everyone.

 

Sep 20, 2011 at 2:13 PM
Thanks Andy!! can you please pass correct link as there are so many souce code subsets are available.
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Tue, 20 Sep 2011 04:33:06 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
The sourcecode is all here on site. If you added vs2005 support I would gladly add it to the solution for everyone.

Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Coordinator
Sep 20, 2011 at 3:07 PM

Create a fork from the tip of the main tree at http://stylecop.codeplex.com/SourceControl/changeset/changes/8ef35078cd96. Then follow this guide http://stylecop.codeplex.com/wikipage?title=SetUpDevBox&referringTitle=Documentation

Sep 20, 2011 at 3:16 PM
Thanks Andy!! Is there any major change in 4.6 compare to 4.5? Which one is more appropriate for following purpose.
I have to use stylecop for 2.0 & 4.0 dotnet projects so need to make compatible to both VS2005 & VS2010.
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Tue, 20 Sep 2011 07:07:06 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Coordinator
Sep 20, 2011 at 3:53 PM

If you don't use JetBrains ReSharper then 4.6 is best. If you use R# then pick 4.5 if you use R# 5.1 or 4.6 if you use R#6.

Sep 20, 2011 at 4:14 PM
Thanks Andy!!
I'm not using Jetbrains Resharper. So as per your suggestion 4.6 is best.
Got little confusion from your statement
If you don't use JetBrains ReSharper then 4.6 is best. -->Fine
If you use R# then pick 4.5 --> Fine
if you use R# 5.1 or 4.6 if you use R#6. --> confusion

I'm sorry but can you please clear it.
I just downloaded zipped version but few projects are not able to load.
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Tue, 20 Sep 2011 07:53:57 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
If you don't use JetBrains ReSharper then 4.6 is best. If you use R# then pick 4.5 if you use R# 5.1 or 4.6 if you use R#6.
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Coordinator
Sep 20, 2011 at 4:31 PM

Use 4.6 from the top of the default source tree.

If the projects aren't loading you've not followed the how to set up your dev box document for StyleCop dev properly.

Developer
Sep 20, 2011 at 8:33 PM
Edited Sep 20, 2011 at 8:34 PM
madhurt wrote:
I have to use stylecop for 2.0 & 4.0 dotnet projects so need to make compatible to both VS2005 & VS2010.

Hi madhurt,

I'm sorry, but could you please clarify the conclusion you made?
Why VS2005 is required for using StyleCop on .NET 2.0 projects?

You could easily use VS2010 for any kind of projects you work with - .NET 2.0, 3.5, 4.0.

Maybe I'm missing something?

Best regards,
Oleg Shuruev

Sep 21, 2011 at 2:59 AM
Hi Oleg,
we have big application with multiple versions and my stream is using VS2010 version but there are other stream that are not using VS2010, those streams are using VS2005 sometimes we are using both on same machine but this stylecop code is common to all stream. So if we make it compatible to VS2005 then all streams can access.
When u install stylecop it overrides previous version so if is there any way to make it side by side installation then can you please let me know.
Regards,
Madhur

From: [email removed]
To: [email removed]
Date: Tue, 20 Sep 2011 12:33:18 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: shuruev
madhurt wrote:
I have to use stylecop for 2.0 & 4.0 dotnet projects so need to make compatible to both VS2005 & VS2010.
Hi madhurt,
I'm sorry, but could you please clarify the conclusion you made?
Why VS2005 is required for using StyleCop on .NET 2.0 projects?
You could easily use VS2010 for any kind of projects you make - .NET 2.0, 3.5, 4.0.
Maybe I'm missing something?
Best regards,
Oleg Shuruev
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Sep 21, 2011 at 3:04 AM
Thanks Andy!!
I have downloaded zip file and then extracted to local directory. Do I must require TortoiseHg to work with source code?
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Tue, 20 Sep 2011 08:31:06 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
Use 4.6 from the top of the default source tree.
If the projects aren't loading you've not followed the how to set up your dev box document for StyleCop dev properly.
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Coordinator
Sep 21, 2011 at 5:36 AM
Yes



On 21 Sep 2011, at 03:04, "madhurt" <notifications@codeplex.com> wrote:

From: madhurt

Thanks Andy!!
I have downloaded zip file and then extracted to local directory. Do I must require TortoiseHg to work with source code?
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Tue, 20 Sep 2011 08:31:06 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
Use 4.6 from the top of the default source tree.
If the projects aren't loading you've not followed the how to set up your dev box document for StyleCop dev properly.
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Sep 21, 2011 at 8:09 AM
Thanks Andy!!
Just taking general idea if 4.6 integrating to VS2005 then how long it can take (average time) because based on time I have to figure out whether it is viable or not.
Another thing from zip file all testing projects are available while main projects stylecop,SettingsEditor are not available.
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Tue, 20 Sep 2011 21:36:19 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
Yes



On 21 Sep 2011, at 03:04, "madhurt" <notifications@codeplex.com> wrote:

From: madhurt
Thanks Andy!!
I have downloaded zip file and then extracted to local directory. Do I must require TortoiseHg to work with source code?
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Tue, 20 Sep 2011 08:31:06 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
Use 4.6 from the top of the default source tree.
If the projects aren't loading you've not followed the how to set up your dev box document for StyleCop dev properly.
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Coordinator
Sep 21, 2011 at 8:46 AM

50-60 hrs.

Sep 22, 2011 at 3:29 PM
Thanks Andy!!
What are the requisites items to include in setup for stylecop wrappere.g. Dotnet 3.5 Framework. If I target to 4.0 then I need to include 4.0 framework also alongwith 3.5?
Regards,
Madhur

From: [email removed]
To: [email removed]
Date: Wed, 21 Sep 2011 00:46:39 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]


From: andyr
50-60 hrs.
Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com
Coordinator
Sep 22, 2011 at 3:39 PM

All answers in the Dev Docs at http://stylecop.codeplex.com/documentation

 

Oct 27, 2011 at 12:37 PM
Hi
Just wanted to update you that if you install higher version 4.6.3 and then again you install lower version of vs2005 compliant then both will work.
No need to code change for making compliant vs2005 and vs2010 both.
Regards,
Madhur


From: [email removed]
To: [email removed]
Date: Thu, 22 Sep 2011 07:39:19 -0700
Subject: Re: Steps to make stylecop 4.5.25 version compatible for VS2005 [stylecop:270182]

From: andyr
All answers in the Dev Docs at http://stylecop.codeplex.com/documentation

Read the full discussion online.
To add a post to this discussion, reply to this email (stylecop@discussions.codeplex.com)
To start a new discussion for this project, email stylecop@discussions.codeplex.com
You are receiving this email because you subscribed to this discussion on CodePlex. You can unsubscribe on CodePlex.com.
Please note: Images and attachments will be removed from emails. Any posts to this discussion will also be available online at CodePlex.com